Skip to main content
`Ctrl`+`K`

# PetscEqualScalar

Returns whether the two `PetscScalar` values are equal.

## Synopsis

    PetscBool PetscEqualScalar(PetscScalar a, PetscScalar b)

## Input Parameters

- a - first scalar value

- b - second scalar value

## Note

Equivalent to “a == b”. Should be used to prevent compilers from emitting floating point comparison warnings (e.g. GCC’s -Wfloat-equal flag) in PETSc header files or user code.

## See Also

`PetscIsCloseAtTol()`, `PetscEqualReal()`

## Level

developer

## Location

src/sys/utils/matheq.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages